%define upstream_name    Net-IDN-Nameprep
%define upstream_version 1.102

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Stringprep Profile for Internationalized Domain Names (S<RFC 3491>)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Unicode::Stringprep) >= 1.100.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module implements the _nameprep_ specification, which describes how to
prepare internationalized domain name (IDN) labels in order to increase the
likelihood that name input and name comparison work in ways that make sense
for typical users throughout the world. Nameprep is a profile of the
stringprep protocol and is used as part of a suite of on-the-wire protocols
for internationalizing the Domain Name System (DNS).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.102.0-4pclos2017
- rebuild against updates

